Bug 973706 - [abrt] eric-4.4.19-2.fc17: WebCore::initializeWebCoreQt: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] eric-4.4.19-2.fc17: WebCore::initializeWebCoreQt: Process /usr/bin/pyt...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eric (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
abrt_hash:8ac6f63f0dce43b01c216793a76...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 10:23 EDT by Greg
Modified: 2013-08-01 05:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:39:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (84.70 KB, text/plain)
2013-06-12 10:23 EDT, Greg
no flags Details
File: cgroup (128 bytes, text/plain)
2013-06-12 10:23 EDT, Greg
no flags Details
File: core_backtrace (5.08 KB, text/plain)
2013-06-12 10:24 EDT, Greg
no flags Details
File: dso_list (7.89 KB, text/plain)
2013-06-12 10:24 EDT, Greg
no flags Details
File: environ (2.05 KB, text/plain)
2013-06-12 10:24 EDT, Greg
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-12 10:24 EDT, Greg
no flags Details
File: maps (37.16 KB, text/plain)
2013-06-12 10:24 EDT, Greg
no flags Details
File: open_fds (316 bytes, text/plain)
2013-06-12 10:24 EDT, Greg
no flags Details
File: proc_pid_status (927 bytes, text/plain)
2013-06-12 10:24 EDT, Greg
no flags Details

  None (edit)
Description Greg 2013-06-12 10:23:45 EDT
Description of problem:
Launch ERIC from KDE, immediate crash. Sumultaneous or near-simultaneous AVC denial, but fixing that with audit2allow did not prevent the crash from recurring.

SELinux is preventing /usr/bin/systemctl from read access on the file utmp.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that systemctl should be allowed read access on the utmp file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep runlevel /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                system_u:object_r:initrc_var_run_t:s0
Target Objects                utmp [ file ]
Source                        runlevel
Source Path                   /usr/bin/systemctl
Port                          <Unknown>
Host                          feynman.peoria.local
Source RPM Packages           systemd-44-24.fc17.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.10.0-169.fc17.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     feynman.peoria.local
Platform                      Linux feynman.peoria.local 3.8.13-100.fc17.x86_64
                              #1 SMP Mon May 13 13:36:17 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-06-12 07:05:56 PDT
Last Seen                     2013-06-12 07:05:56 PDT
Local ID                      ea6cbbb5-63ed-4f11-b46e-8bfb396b3d88

Raw Audit Messages
type=AVC msg=audit(1371045956.241:64640): avc:  denied  { read } for  pid=14655 comm="runlevel" name="utmp" dev="tmpfs" ino=15180 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=system_u:object_r:initrc_var_run_t:s0 tclass=file


type=SYSCALL msg=audit(1371045956.241:64640): arch=x86_64 syscall=open success=no exit=EACCES a0=3649f77c62 a1=80000 a2=3649f77c62 a3=2170030 items=0 ppid=14654 pid=14655 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=runlevel exe=/usr/bin/systemctl subj=system_u:system_r:abrt_t:s0-s0:c0.c1023 key=(null)

Hash: runlevel,abrt_t,initrc_var_run_t,file,read

audit2allow

#============= abrt_t ==============
allow abrt_t initrc_var_run_t:file read;

audit2allow -R

#============= abrt_t ==============
allow abrt_t initrc_var_run_t:file read;


Version-Release number of selected component:
eric-4.4.19-2.fc17

Additional info:
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/lib/python2.7/site-packages/eric4/eric4.py
crash_function: WebCore::initializeWebCoreQt
executable:     /usr/bin/python2.7
kernel:         3.8.13-100.fc17.x86_64
runlevel:       unknown
uid:            1000
ureports_counter: 1
var_log_messages: Jun 12 07:05:56 feynman abrt[14646]: Saved core dump of pid 14644 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2013-06-12-07:05:55-14644 (23535616 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WebCore::initializeWebCoreQt at /lib64/libQtWebKit.so.4
 #1 QWebSettings::globalSettings at /lib64/libQtWebKit.so.4
 #2 meth_QWebSettings_globalSettings at sipQtWebKitQWebSettings.cpp:62
 #3 call_function at /usr/src/debug/Python-2.7.3/Python/ceval.c:4098
 #4 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:2740
 #5 PyEval_EvalCodeEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:3330
 #6 fast_function at /usr/src/debug/Python-2.7.3/Python/ceval.c:4194
 #7 call_function at /usr/src/debug/Python-2.7.3/Python/ceval.c:4119
 #8 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:2740
 #9 PyEval_EvalCodeEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:3330
Comment 1 Greg 2013-06-12 10:23:52 EDT
Created attachment 760187 [details]
File: backtrace
Comment 2 Greg 2013-06-12 10:23:55 EDT
Created attachment 760188 [details]
File: cgroup
Comment 3 Greg 2013-06-12 10:24:00 EDT
Created attachment 760189 [details]
File: core_backtrace
Comment 4 Greg 2013-06-12 10:24:03 EDT
Created attachment 760190 [details]
File: dso_list
Comment 5 Greg 2013-06-12 10:24:07 EDT
Created attachment 760191 [details]
File: environ
Comment 6 Greg 2013-06-12 10:24:10 EDT
Created attachment 760192 [details]
File: limits
Comment 7 Greg 2013-06-12 10:24:14 EDT
Created attachment 760193 [details]
File: maps
Comment 8 Greg 2013-06-12 10:24:17 EDT
Created attachment 760194 [details]
File: open_fds
Comment 9 Greg 2013-06-12 10:24:20 EDT
Created attachment 760195 [details]
File: proc_pid_status
Comment 10 Fedora End Of Life 2013-07-03 22:53:38 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 jan.tremmel 2013-07-09 10:08:41 EDT
Crash on launch

backtrace_rating: 4
cmdline:        /usr/bin/python /usr/lib/python2.7/site-packages/eric4/eric4.py
crash_function: WebCore::initializeWebCoreQt
executable:     /usr/bin/python2.7
kernel:         3.9.8-100.fc17.i686
package:        eric-4.4.19-2.fc17
reason:         Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            500
ureports_counter: 1
xsession_errors:
Comment 12 Fedora End Of Life 2013-08-01 05:40:00 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.